<?php
class ComparisonSlider extends plxPlugin {
 
    public function __construct($default_lang){
    # Appel du constructeur de la classe plxPlugin (obligatoire)
    parent::__construct($default_lang);

    # Pour accéder à une page d'administration
    $this->setAdminProfil(PROFIL_ADMIN,PROFIL_MANAGER);
    # Personnalisation du menu admin
    $this->setAdminMenu('Titre du plugin', 1, 'Légende du lien');
    
    # Pour accéder à une page de configuration
    $this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);
    # Déclaration des hooks
    $this->addHook('ThemeEndHead', 'ThemeEndHead');
    $this->addHook('ThemeEndBody', 'ThemeEndBody');
    $this->addHook('ComparisonSlider', 'ComparisonSlider'); //hook pour l'affichage manuel
    } 
    
    public function ThemeEndHead() { ?>
    
        <link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>ComparisonSlider/app/style.min.css">

        <?php

        $style = $this->getParam('style');

        if (!empty($style)){

            echo '<style>.cd-image-container{width:'.$style.'}</style>';
        }



        ?>


        <script src="<?php echo PLX_PLUGINS ?>ComparisonSlider/app/modernizr.js"></script> <!-- Modernizr -->

     <?php
    }
    
    public function ComparisonSlider() {?>
      
        <figure class="cd-image-container">
            <img src="<?php echo $this->getParam('image1');?>" alt="Original Image">
            <span class="cd-image-label" data-type="original"><?php echo $this->getParam('texte1');?></span>

            <div class="cd-resize-img"> <!-- the resizable image on top -->
                <img src="<?php echo $this->getParam('image2');?>" alt="Modified Image">
                <span class="cd-image-label" data-type="modified"><?php echo $this->getParam('texte2');?></span>
            </div>

            <span class="cd-handle"></span>
        </figure> <!-- cd-image-container -->

      <?php
    }

    public function ThemeEndBody(){ 

    $script = $this->getParam('script');

        if ($script == 'true') { echo'<script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>';} ?>

        <script src="<?php echo PLX_PLUGINS ?>ComparisonSlider/app/app.js"></script> <!-- Resource jQuery -->
 
    <?php }
      
} // class ComparisonSlider
?>
