<?php if (!defined('PLX_ROOT')) exit; 
# Control du token du formulaire
plxToken::validateFormToken($_POST);
	if(!empty($_POST)) {
		$plxPlugin->setParam('image1', $_POST['image1'], 'cdata');
		$plxPlugin->setParam('texte1', $_POST['texte1'], 'cdata');
		$plxPlugin->setParam('image2', $_POST['image2'], 'cdata');
		$plxPlugin->setParam('texte2', $_POST['texte2'], 'cdata');
		$plxPlugin->setParam('style', $_POST['style'], 'cdata');
		$plxPlugin->setParam('script', $_POST['script'], 'cdata');
		$plxPlugin->saveParams();
		header('Location: parametres_plugin.php?p=ComparisonSlider');
		exit;
	}
?>


<h2><?php echo $plxPlugin->getInfo("description") ?></h2>


<p><?php $plxPlugin->lang('INFO') ?></p>

<code>&lt;?php eval($plxShow->callHook('ComparisonSlider')); ?&gt;</code>

<p>Pour afficher le slider dans une page statique :</p>

    <p>
        <code>
                &lt;?php global $plxShow;
                eval($plxShow->callHook("ComparisonSlider")); ?&gt;
        </code>

</p>

<style>
	.nextum input, .nextum textarea{border-radius: 5px;width: 40%}
	.nextum input[type="submit"]{width: auto}
	.nextum textarea {min-height: 50px}
	.nextum label{font-style: italic}
</style>

<?php 

	$script = $plxPlugin->getParam('script');
	$script2 = $plxPlugin->getParam('script2');

?>


<form action="parametres_plugin.php?p=ComparisonSlider" method="post" class="nextum">

	<p>
		<label for="image1">Image 1:
		<a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('image1', true)">+</a></label>
		<input id="image1" name="image1"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("image1")) ?>">
	</p>

	<p>
		<label for="texte1">Texte 1:</label>
		<input id="texte1" name="texte1"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("texte1")) ?>">
	</p>

	<p>
		<label for="image2">Image 2:
		<a id="toggler_thumbnail" href="javascript:void(0)" onclick="mediasManager.openPopup('image2', true)">+</a></label>
		<input id="image2" name="image2"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("image2")) ?>">
	</p>

	<p>
		<label for="texte2">Texte 2:</label>
		<input id="texte2" name="texte2"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("texte2")) ?>">
	</p>

	<p>
		<label for="style">Largeur du slider: (si vide, la largeur sera de 90%): <br> (ex: 300px ou 90%)</label>
		<input id="style" name="style"  maxlength="255" value="<?php echo plxUtils::strCheck($plxPlugin->getParam("style")) ?>">
	</p>

	<p>
		<label for="script"><?php $plxPlugin->lang('LABEL_JQUERY') ?></label>
		<select name="script" id="select">
			<option value="true"  <?php if ($script == 'true') { echo'selected';}?> >Oui</option>
			<option value="false" <?php if ($script == 'false') { echo'selected';}?> >Non</option>
		</select>
	</p>

	
	<p class="in-action-bar">
		<?php echo plxToken::getTokenPostMethod() ?>
		<input type="submit" name="submit" value="<?php $plxPlugin->lang('SUBMIT') ?>" />
	</p>

</form>